Subject: Re: bug#17603: completion of previous input

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 14 Jul 2021 17:06:17 +0200

Stefan Monnier <[email-masked]> writes:

> What you describe (including letting you mark the region around the
> previous match) sounds sufficiently complex (UI-wise) that using
>
>   C-SPC C-r *\int ..copy text.. C-u C-SPC C-y
>
> wouldn't be noticeably more complex.
> So I think it only makes sense to provide such a feature if the choice
> of the amount to copy can be made somewhat automatic.
>
> Maybe hippie-expand's try-expand-line would work for you?

Emacs (now) has a number of different completion libraries and
frameworks, so I don't think there's anything specific to be done in
this bug report, and I'm closing it.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no